Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Interface PSEventProducer

All Superinterfaces:
  EventProducer

public interface PSEventProducer
extends EventProducer

Event producer interface for events generated by the PostScript renderer.

Nested Class Summary
`static class` | `PSEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `postscriptDictionaryParseError(java.lang.Object source, java.lang.String content, java.lang.Exception e)` A PostScript dictionary could not be parsed.

Method Detail

### postscriptDictionaryParseError

    public void postscriptDictionaryParseError(java.lang.Object source,
                                               java.lang.String content,
                                               java.lang.Exception e)

  A PostScript dictionary could not be parsed.

  Parameters:
    `source` - the event source
    `content` - the PostScript content
    `e` - the original exception
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.